package com.wd.workoffice.ui.adapter;


import android.text.TextUtils;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.EndApplyBean;
import com.wd.workoffice.bean.SendApplyBean;
import com.wd.workoffice.util.UserKeeper;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class EndApplyAdapter extends BaseQuickAdapter<EndApplyBean.RecordsBean, BaseViewHolder> {

    public EndApplyAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, EndApplyBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getSerialNumber());
        helper.setText(R.id.tv_reason, item.getApplyRemark());
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_status, WorkUtils.getFinancialStatus(Integer.valueOf(item.getStatus())));
        if (TextUtils.equals(item.getStatus(), "0") && TextUtils.equals(UserKeeper.getInstance().getUserDepId(), String.valueOf(item.getCanAuditDeptId()))) {
            helper.setVisible(R.id.ll_btn, true);
            helper.addOnClickListener(R.id.tv_agree);
            helper.addOnClickListener(R.id.tv_refuse);
        }


    }
}

